• 微信公众号:美女很有趣。 工作之余,放松一下,关注即送10G+美女照片!

【linux】ubuntu20.04下import sqlite3报错libsqlite3.so.0

开发技术 开发技术 4小时前 1次浏览
  • version
    python 3.7
    ubuntu 20.04

之前python的web服务一直以python2.7版本运行,最近项目升级到python3.7,在启动web服务的时候忽然就报错,具体见下截图:

【linux】ubuntu20.04下import sqlite3报错libsqlite3.so.0

提示没有libsqlite3.so.0这个动态链接库,之前应该是存在这个库,总之一直没有出现过这个问题,找了一圈确实没有这个文件,以下解决方案供参考:

apt install -y libsqlite3-dev

通过安装上述工具,先测试是否可以正常导入sqlite包:

【linux】ubuntu20.04下import sqlite3报错libsqlite3.so.0

说明正常导包,再次验证python的web服务是否正常:

【linux】ubuntu20.04下import sqlite3报错libsqlite3.so.0

it works!

总结:运行的测试环境没有问题,测试时就有问题,这个需要注意坏境一致。


程序员灯塔
转载请注明原文链接:【linux】ubuntu20.04下import sqlite3报错libsqlite3.so.0
喜欢 (0)